import './SortIndex.less';

export const SortIndex = {
  props: {
    idx: {
      type: Number,
      default: 0
    }
  },
  render(h) {
    if (this.idx <= 3) {
      return h('div', {
        class: `sort-index-${this.idx}`
      })
    } else {
      return h('div', {
        style: {
          width: '.9vw',
          height: '.9vw',
          borderRadius: '50%',
          backgroundColor: '#13919C',
          display: 'flex',
          justifyContent: "center",
          alignItems: "center"
        }
      }, this.idx)
    }
  }
}

export default SortIndex;
